> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/data-storage/access-data-from-applications/find-database-and-schema-path.md).

# Database and schema paths

{% hint style="info" %}
This is only required if you are not using an Alphacruncher-supported Nuvolos connector package.
{% endhint %}

Nuvolos relies on database technology provided by Snowflake. Snowflake is handled via its [own flavour of SQL](https://docs.snowflake.net/manuals/sql-reference-commands.html). Data for a specific snapshot or for the current state of an instance is stored in a schema in Snowflake, and schemas are contained within databases. To find the database and schema details needed to work with your data, go to the table view, and click *Connection Guide*.

The *Connection Guide* provides you with information regarding the database and schema you will need to use in the form of a statement such as:

```
USE SCHEMA "empty_org/documentation_class"."master/development";
```

In this setup, the following important features should be observed:

* Snowflake object names are case sensitive and can contain special characters - consequently, they should be always quoted.
  * In program code, quotes should be appropriately escaped!
* [**USE SCHEMA**](https://docs.snowflake.net/manuals/sql-reference/sql/use-schema.html) simplifies referencing to tables - once you've given this command, you can reference tables as you see them on the user interface.
* Databases are Organization and Space joined by a slash, while schema is determined by Instance and State name (current state is always referred to as *development).*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/data-storage/access-data-from-applications/find-database-and-schema-path.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
